osgDB::Base64decoder Class Reference

`#include <ConvertBase64>`

## Public Member Functions

| Base64decoder (int buffersize_in=BUFFERSIZE)
int | decode (char value_in)
int | decode (const char *code_in, const int length_in, char *plaintext_out)
void | decode (std::istream &istream_in, std::ostream &ostream_in)
char * | decode (const std::vector< std::string > &str_in, std::vector< unsigned int > &pos_out)

## Constructor & Destructor Documentation

## Base64decoder()

osgDB::Base64decoder::Base64decoder | ( | int | buffersize_in = BUFFERSIZE | ) |

inline

References osgDB::base64_init_decodestate(), and osgDB::BUFFERSIZE.

## Member Function Documentation

## decode() [1/4]

int osgDB::Base64decoder::decode | ( | char | value_in | ) |

## decode() [2/4]

int osgDB::Base64decoder::decode | ( | const char * | code_in,
|  | const int | length_in,
|  | char * | plaintext_out )

## decode() [3/4]

char * osgDB::Base64decoder::decode | ( | const std::vector< std::string > & | str_in,
|  | std::vector< unsigned int > & | pos_out )

## decode() [4/4]

void osgDB::Base64decoder::decode | ( | std::istream & | istream_in,
|  | std::ostream & | ostream_in )

The documentation for this class was generated from the following file:

- ConvertBase64